#include <stdio.h>

int main() {
    int n, m;
    int i,j;
    scanf("%d %d", &n, &m);

    int arr[10][10];

    // 读取二维数组元素
    for (i = 0; i < n; i++) {
        for (j = 0; j < m; j++) {
            scanf("%d", &arr[i][j]);
        }
    }

    // 查找每行最大值和每列最大值
    int row_max[10] = {0};
    int col_max[10] = {0};

    for (i = 0; i < n; i++) {
        for (j = 0; j < m; j++) {
            if (arr[i][j] > row_max[i]) {
                row_max[i] = arr[i][j];
            }
            if (arr[i][j] > col_max[j]) {
                col_max[j] = arr[i][j];
            }
        }
    }

    // 输出"最大点"
    for (i = 0; i < n; i++) {
        for (j = 0; j < m; j++) {
            if (arr[i][j] == row_max[i] && arr[i][j] == col_max[j]) {
                printf("%d %d %d\n", arr[i][j], i + 1, j + 1); // 注意行列从1开始计数
            }
        }
    }

    return 0;
}
